//Calorimeter.hh
#ifndef CALORIMETER_HH
#define CALORIMETER_HH


class Calorimeter
{
	public:
		Calorimeter( int nx, int ny, double x = 0, double y = 0, double z = 0) :
			calogrid(nx, ny),
			point(x, y, z)
		{}

		Calorimeter( const Calorimeter& other ) :
			calogrid( other.calogrid ),
			point( other.point )
		{}

		CaloGrid& grid() {
			return calogrid;
		}
		const CaloGrid& grid() const {
			return calogrid;
		}

		Point& position() {
			return point;
		}
		const Point& position() const {
			return point;
		}

	private:
		Point point;
		CaloGrid calogrid;

};
#endif
